Fetch a specific financial institution
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/financial-institutions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/financial-institutions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/financial-institutions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "Business Checking Account",
"status": "active",
"bank_details": {
"owner": "Jane Doe",
"account_number": "1234567890",
"routing_number": 63108680,
"name": "Example Bank",
"account_type": "checking",
"address": {
"street_line_1": "123 Main St",
"city": "Des Moines",
"state": "Iowa",
"zip": "12345",
"street_line_2": "Apt C"
}
}
}Financial institutions
Fetch a specific financial institution
deprecated
Retrieves details for the specified financial institution (bank account).
GET
/
accounts
/
{account_id}
/
financial-institutions
/
{id}
Fetch a specific financial institution
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.
Authorizations
Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.
Path Parameters
The ID of the account
Pattern:
^[a-zA-Z0-9]{26}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
The ID of the financial institution
Pattern:
^[a-zA-Z0-9]{26}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
Response
200 - */*
A financial institution object
Was this page helpful?